/*!
  * @yzcode/vue-devtool-vuex-z v0.0.7
  * (c) 2021 
  * @license MIT
  */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var devtoolsApi = require('@vue/devtools-api');

const storeGetters = 'getters朝哥最屌';
const storeState = 'state朝哥最屌';
function setupDevtools(app, { store }) {
    devtoolsApi.setupDevtoolsPlugin({
        id: '@yzcode/vue-devtool-vuex-z',
        label: 'vue-devtool-vuex',
        packageName: '@yzcode/vue-devtool-vuex-z',
        homepage: 'my home',
        app,
        componentStateTypes: [storeGetters, storeState],
    }, (api) => {
        // api.addInspector({
        //   id: inspectorId,
        //   label: 'vuex',
        //   icon: 'pets',
        // });
        store.subscribe((mutation, state) => {
            api.notifyComponentUpdate();
        });
        api.on.inspectComponent((payload, context) => {
            payload.instanceData.state.push({
                type: storeGetters,
                key: 'state',
                value: store.state,
            });
            payload.instanceData.state.push({
                type: storeState,
                key: 'gettters',
                value: store.getters,
            });
        });
    });
}
var index = {
    install(app, options) {
    },
};

exports['default'] = index;
exports.setupDevtools = setupDevtools;
